org.thymeleaf.extras.java8time.util

## Class TemporalSetUtils

- Object
- - org.thymeleaf.extras.java8time.util.TemporalSetUtils

-     public final class TemporalSetUtils
      extends Object

  Formatting utilities for Java 8 Time object sets.
  Since:
    2.1.0
  Author:
    José Miguel Samper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TemporalSetUtils(Locale locale, ZoneId defaultZoneId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Set<Integer>` | `setDay(Set<? extends Temporal> target)`
    `Set<Integer>` | `setDayOfWeek(Set<? extends Temporal> target)`
    `Set<String>` | `setDayOfWeekName(Set<? extends Temporal> target)`
    `Set<String>` | `setDayOfWeekNameShort(Set<? extends Temporal> target)`
    `Set<String>` | `setFormat(Set<? extends Temporal> target)`
    `<T extends Temporal> Set<String>` | `setFormat(Set<T> target, Locale locale)`
    `<T extends Temporal> Set<String>` | `setFormat(Set<T> target, String pattern)`
    `<T extends Temporal> Set<String>` | `setFormat(Set<T> target, String pattern, Locale locale)`
    `Set<String>` | `setFormatISO(Set<? extends Temporal> target)`
    `Set<Integer>` | `setHour(Set<? extends Temporal> target)`
    `Set<Integer>` | `setMinute(Set<? extends Temporal> target)`
    `Set<Integer>` | `setMonth(Set<? extends Temporal> target)`
    `Set<String>` | `setMonthName(Set<? extends Temporal> target)`
    `Set<String>` | `setMonthNameShort(Set<? extends Temporal> target)`
    `Set<Integer>` | `setNanosecond(Set<? extends Temporal> target)`
    `Set<Integer>` | `setSecond(Set<? extends Temporal> target)`
    `Set<Integer>` | `setYear(Set<? extends Temporal> target)`

    - ### Methods inherited from class Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TemporalSetUtils

          public TemporalSetUtils(Locale locale,
                                  ZoneId defaultZoneId)

  - ### Method Detail

    - #### setFormat

          public Set<String> setFormat(Set<? extends Temporal> target)

    - #### setFormat

          public <T extends Temporal> Set<String> setFormat(Set<T> target,
                                                            Locale locale)

    - #### setFormat

          public <T extends Temporal> Set<String> setFormat(Set<T> target,
                                                            String pattern)

    - #### setFormat

          public <T extends Temporal> Set<String> setFormat(Set<T> target,
                                                            String pattern,
                                                            Locale locale)

    - #### setDay

          public Set<Integer> setDay(Set<? extends Temporal> target)

    - #### setMonth

          public Set<Integer> setMonth(Set<? extends Temporal> target)

    - #### setMonthName

          public Set<String> setMonthName(Set<? extends Temporal> target)

    - #### setMonthNameShort

          public Set<String> setMonthNameShort(Set<? extends Temporal> target)

    - #### setYear

          public Set<Integer> setYear(Set<? extends Temporal> target)

    - #### setDayOfWeek

          public Set<Integer> setDayOfWeek(Set<? extends Temporal> target)

    - #### setDayOfWeekName

          public Set<String> setDayOfWeekName(Set<? extends Temporal> target)

    - #### setDayOfWeekNameShort

          public Set<String> setDayOfWeekNameShort(Set<? extends Temporal> target)

    - #### setHour

          public Set<Integer> setHour(Set<? extends Temporal> target)

    - #### setMinute

          public Set<Integer> setMinute(Set<? extends Temporal> target)

    - #### setSecond

          public Set<Integer> setSecond(Set<? extends Temporal> target)

    - #### setNanosecond

          public Set<Integer> setNanosecond(Set<? extends Temporal> target)

    - #### setFormatISO

          public Set<String> setFormatISO(Set<? extends Temporal> target)

Copyright © 2017 The THYMELEAF team. All rights reserved.